/**
 * 设备台账-设备分组管理
 */
import request from '@/api/index'
// 分组列表
export function getGroupList(params: object) {
  return request({
    url: '/equipment/group/listPage',
    method: 'get',
    params,
  })
}
// 编辑
export function updateGroup(data: object) {
  return request({
    url: '/equipment/group/update',
    method: 'post',
    data,
  })
}
// 编辑
export function addGroup(data: object) {
  return request({
    url: '/equipment/group/add',
    method: 'post',
    data,
  })
}
// 删除
export function delGroup(id: string) {
  return request({
    url: `/equipment/group/delete?groupId=${id}`,
    method: 'post',
  })
}
// 详情
export function detailGroup(params: object) {
  return request({
    url: '/equipment/group/detail',
    method: 'get',
    params,
  })
}
